Class | Bio::DDBJ::XML::RequestManager
In: | lib/bio/io/ddbjxml.rb
Parent: | XML

### RequestManager

Sequence Retrieving System

- xml.nig.ac.jp/doc/RequestManager.txt

### Examples

      serv = Bio::DDBJ::XML::RequestManager.new
      puts serv.getAsyncResult('20070420102828140')

### WSDL Methods

- getAsyncResult( requestId )
- getAsyncResultMime( requestId )

### Examples

- xml.nig.ac.jp/doc/RequestManager.txt

### Methods

new

### Classes and Modules

Class Bio::DDBJ::XML::RequestManager::REST

### Constants

SERVER_URI | = | BASE_URI + "RequestManager.wsdl"

### External Aliases

new | -> | new_orig

### Public Class methods

new(wsdl = nil)

creates a new driver

[Source]

         # File lib/bio/io/ddbjxml.rb, line 385
    385:     def self.new(wsdl = nil)
    386:       begin
    387:         new_orig(wsdl)
    388:       rescue RuntimeError
    389:         REST.new
    390:       end
    391:     end

[Validate]